////////////////////////////////////////////////////////////////////////
//Klasse für die Berechnung einfacher Filter, die ohne Matrizen auskommen
////////////////////////////////////////////////////////////////////////
public class EinfachFilter{

 private PImage bild;
 
 public EinfachFilter(PImage bild){
 
     this.bild = bild;
 }
//////////////////////////////////////////////////////
//Bei diesem Filter wird die Sättigung angehoben
////////////////////////////////////////////////////
 public PImage bildSaettigung (){
    
    PImage bildBearbeitet = createImage(w,h,HSB);
    float farbe, saettigung, helligkeit;
    for(int i = 0; i < w; i++){
     for(int j = 0; j < h; j++){
        color farbWert = bild.pixels[i + j*w];
           farbe = hue(farbWert);
           saettigung = saettigungFaktor*saturation(farbWert);
           if(saettigung >= 100) saettigung = 100;
           helligkeit = brightness(farbWert);
       bildBearbeitet.pixels[i + j*w] = color(farbe,saettigung,helligkeit);
     } 
   }   
    return bildBearbeitet;
 } 
////////////////////////////////////////////////////////////
//Bei diesem Filter werden die "Werte" aller Farben angehoben.
//Beispiel: Pixel original rot 27
//Mit Faktor 1.2 ist der neue Wert für rot 32
//Weil schwarz gleich Null bedeutet, bleibt schwarz erhalten
/////////////////////////////////////////////////////////
 public PImage bildSpreizen(){
   
    float rotAnteil   = 0.0;
    float gruenAnteil = 0.0;
    float blauAnteil  = 0.0; 
    PImage bildBearbeitet = createImage(w,h,RGB);;
    bildOriginal = bild;
    for(int i = 0; i < w; i++){
     for(int j = 0; j < h; j++){
        color farbe = bildOriginal.pixels[i + j*w];
           rotAnteil = red(farbe)*werte;
           gruenAnteil = green(farbe)*werte;
           blauAnteil = blue(farbe)*werte;
       bildBearbeitet.pixels[i + j*w] = color(rotAnteil,gruenAnteil,blauAnteil);
     } 
   } 
   return bildBearbeitet;
 }
}