//////////////////////////////////////////////////////
//Wenn zwei Bilder beim Blending gegeneinander verschoben
//werden müssen, müssen die zugehörigen Matrizen "geschnitten"
//werden, da es sonst Bereiche gibt, in denen nur eine Matrix
//definiert ist.
////////////////////////////////////////////////////////
public class MatrixCutter{

 private int[][] matrix;
 private int d;
 
 //Konstruktor
 public MatrixCutter(int[][] matrix, int d){
   this.matrix = matrix;
   this.d = d;
 }

 //////////////////////////////////////////////////////////////////////// 
//Schnitt rechts und oben
public int[][] cutMatrixRO(){
  
  int[][]tempMatrix = matrix;
  int[][] matrixCut = new int[w-d][h-d];
   for(int i=d; i<w;i++){
       for(int j=0; j<h-d;j++){
          matrixCut[i-d][j] = tempMatrix[i][j];
       }
    }
  return matrixCut;
}
/////////////////////////////////////////////////////////////////////////////
//Schnitt links und unten
public int[][] cutMatrixLU(){
  
  int[][] tempMatrix = matrix;
  int[][] matrixCut = new int[w-d][h-d];
   for(int i=0; i<w-d;i++){
       for(int j=d; j<h;j++){
          matrixCut[i][j-d] = tempMatrix[i][j];  //Fehler
       }
    } 
  return matrixCut;
} 
}  